# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/ConfigurationPage/MercurialPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MercurialPage(object):
    def setupUi(self, MercurialPage):
        MercurialPage.setObjectName("MercurialPage")
        MercurialPage.resize(609, 935)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(MercurialPage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.headerLabel = QtWidgets.QLabel(parent=MercurialPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_2.addWidget(self.headerLabel)
        self.line15 = QtWidgets.QFrame(parent=MercurialPage)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setObjectName("line15")
        self.verticalLayout_2.addWidget(self.line15)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_3)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_2.setWordWrap(True)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.hgPicker = EricPathPicker(parent=self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.hgPicker.sizePolicy().hasHeightForWidth())
        self.hgPicker.setSizePolicy(sizePolicy)
        self.hgPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.hgPicker.setToolTip("")
        self.hgPicker.setWhatsThis("")
        self.hgPicker.setObjectName("hgPicker")
        self.verticalLayout.addWidget(self.hgPicker)
        self.verticalLayout_2.addWidget(self.groupBox_3)
        self.groupBox_8 = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox_8.setObjectName("groupBox_8")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_8)
        self.gridLayout.setObjectName("gridLayout")
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 0, 0, 1, 1)
        self.encodingComboBox = QtWidgets.QComboBox(parent=self.groupBox_8)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.encodingComboBox.sizePolicy().hasHeightForWidth())
        self.encodingComboBox.setSizePolicy(sizePolicy)
        self.encodingComboBox.setObjectName("encodingComboBox")
        self.gridLayout.addWidget(self.encodingComboBox, 0, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 0, 2, 1, 1)
        self.encodingModeComboBox = QtWidgets.QComboBox(parent=self.groupBox_8)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.encodingModeComboBox.sizePolicy().hasHeightForWidth())
        self.encodingModeComboBox.setSizePolicy(sizePolicy)
        self.encodingModeComboBox.setObjectName("encodingModeComboBox")
        self.gridLayout.addWidget(self.encodingModeComboBox, 0, 3, 1, 1)
        self.hiddenChangesetsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_8)
        self.hiddenChangesetsCheckBox.setObjectName("hiddenChangesetsCheckBox")
        self.gridLayout.addWidget(self.hiddenChangesetsCheckBox, 1, 0, 1, 2)
        self.verticalLayout_2.addWidget(self.groupBox_8)
        self.groupBox = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.logWidthSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.logWidthSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.logWidthSpinBox.setMinimum(10)
        self.logWidthSpinBox.setObjectName("logWidthSpinBox")
        self.gridLayout_3.addWidget(self.logWidthSpinBox, 1, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.gridLayout_3.addWidget(self.label, 0, 0, 1, 1)
        self.logSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.logSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.logSpinBox.setMaximum(999999)
        self.logSpinBox.setObjectName("logSpinBox")
        self.gridLayout_3.addWidget(self.logSpinBox, 0, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_7.setObjectName("label_7")
        self.gridLayout_3.addWidget(self.label_7, 1, 0, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(41, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem, 0, 2, 1, 1)
        self.startFullLogCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.startFullLogCheckBox.setObjectName("startFullLogCheckBox")
        self.gridLayout_3.addWidget(self.startFullLogCheckBox, 2, 0, 1, 3)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.commitAuthorsSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_2)
        self.commitAuthorsSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.commitAuthorsSpinBox.setMinimum(1)
        self.commitAuthorsSpinBox.setMaximum(100)
        self.commitAuthorsSpinBox.setObjectName("commitAuthorsSpinBox")
        self.gridLayout_2.addWidget(self.commitAuthorsSpinBox, 0, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_6.setObjectName("label_6")
        self.gridLayout_2.addWidget(self.label_6, 0, 0, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(329, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem1, 0, 2, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox_4.setObjectName("groupBox_4")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox_4)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.pullUpdateCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.pullUpdateCheckBox.setObjectName("pullUpdateCheckBox")
        self.horizontalLayout_2.addWidget(self.pullUpdateCheckBox)
        self.preferUnbundleCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.preferUnbundleCheckBox.setObjectName("preferUnbundleCheckBox")
        self.horizontalLayout_2.addWidget(self.preferUnbundleCheckBox)
        self.verticalLayout_2.addWidget(self.groupBox_4)
        self.groupBox_7 = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox_7.setObjectName("groupBox_7")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.groupBox_7)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.internalMergeCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_7)
        self.internalMergeCheckBox.setObjectName("internalMergeCheckBox")
        self.verticalLayout_4.addWidget(self.internalMergeCheckBox)
        self.verticalLayout_2.addWidget(self.groupBox_7)
        self.groupBox_6 = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox_6.setObjectName("groupBox_6")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.groupBox_6)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.backupCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.backupCheckBox.setObjectName("backupCheckBox")
        self.verticalLayout_3.addWidget(self.backupCheckBox)
        self.verticalLayout_2.addWidget(self.groupBox_6)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=MercurialPage)
        self.groupBox_5.setObjectName("groupBox_5")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_5)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout.addWidget(self.label_3)
        self.cleanupPatternEdit = QtWidgets.QLineEdit(parent=self.groupBox_5)
        self.cleanupPatternEdit.setObjectName("cleanupPatternEdit")
        self.horizontalLayout.addWidget(self.cleanupPatternEdit)
        self.verticalLayout_2.addWidget(self.groupBox_5)
        self.configButton = QtWidgets.QPushButton(parent=MercurialPage)
        self.configButton.setObjectName("configButton")
        self.verticalLayout_2.addWidget(self.configButton)
        self.line15_2 = QtWidgets.QFrame(parent=MercurialPage)
        self.line15_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line15_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15_2.setObjectName("line15_2")
        self.verticalLayout_2.addWidget(self.line15_2)
        self.installButton = QtWidgets.QPushButton(parent=MercurialPage)
        self.installButton.setObjectName("installButton")
        self.verticalLayout_2.addWidget(self.installButton)
        spacerItem2 = QtWidgets.QSpacerItem(388, 21, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)

        self.retranslateUi(MercurialPage)
        QtCore.QMetaObject.connectSlotsByName(MercurialPage)
        MercurialPage.setTabOrder(self.hgPicker, self.encodingComboBox)
        MercurialPage.setTabOrder(self.encodingComboBox, self.encodingModeComboBox)
        MercurialPage.setTabOrder(self.encodingModeComboBox, self.hiddenChangesetsCheckBox)
        MercurialPage.setTabOrder(self.hiddenChangesetsCheckBox, self.logSpinBox)
        MercurialPage.setTabOrder(self.logSpinBox, self.logWidthSpinBox)
        MercurialPage.setTabOrder(self.logWidthSpinBox, self.startFullLogCheckBox)
        MercurialPage.setTabOrder(self.startFullLogCheckBox, self.commitAuthorsSpinBox)
        MercurialPage.setTabOrder(self.commitAuthorsSpinBox, self.pullUpdateCheckBox)
        MercurialPage.setTabOrder(self.pullUpdateCheckBox, self.preferUnbundleCheckBox)
        MercurialPage.setTabOrder(self.preferUnbundleCheckBox, self.internalMergeCheckBox)
        MercurialPage.setTabOrder(self.internalMergeCheckBox, self.backupCheckBox)
        MercurialPage.setTabOrder(self.backupCheckBox, self.cleanupPatternEdit)
        MercurialPage.setTabOrder(self.cleanupPatternEdit, self.configButton)
        MercurialPage.setTabOrder(self.configButton, self.installButton)

    def retranslateUi(self, MercurialPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("MercurialPage", "<b>Configure Mercurial Interface</b>"))
        self.groupBox_3.setTitle(_translate("MercurialPage", "Mercurial Executable"))
        self.label_2.setText(_translate("MercurialPage", "Enter the path of the Mercurial executable (hg or hg.exe) to override the automatism."))
        self.groupBox_8.setTitle(_translate("MercurialPage", "Global Options"))
        self.label_4.setText(_translate("MercurialPage", "Encoding:"))
        self.encodingComboBox.setToolTip(_translate("MercurialPage", "Select the encoding to be used by Mercurial"))
        self.label_5.setText(_translate("MercurialPage", "Encoding Mode:"))
        self.encodingModeComboBox.setToolTip(_translate("MercurialPage", "Select the encoding mode"))
        self.hiddenChangesetsCheckBox.setText(_translate("MercurialPage", "Consider hidden changesets"))
        self.groupBox.setTitle(_translate("MercurialPage", "Log"))
        self.logWidthSpinBox.setToolTip(_translate("MercurialPage", "Enter the number of characters of the commit message to be shown in the list"))
        self.label.setText(_translate("MercurialPage", "No. of log messages shown:"))
        self.logSpinBox.setToolTip(_translate("MercurialPage", "Enter the number of log messages to be shown"))
        self.label_7.setText(_translate("MercurialPage", "No. of message characters shown in list:"))
        self.startFullLogCheckBox.setToolTip(_translate("MercurialPage", "Select to show all incoming and the first batch of local changesets"))
        self.startFullLogCheckBox.setText(_translate("MercurialPage", "Start showing incoming and local changesets"))
        self.groupBox_2.setTitle(_translate("MercurialPage", "Commit"))
        self.commitAuthorsSpinBox.setToolTip(_translate("MercurialPage", "Enter the number of commit authors to remember"))
        self.label_6.setText(_translate("MercurialPage", "No. of commit authors to remember:"))
        self.groupBox_4.setTitle(_translate("MercurialPage", "Pull"))
        self.pullUpdateCheckBox.setToolTip(_translate("MercurialPage", "Select to update the working directory to new tip"))
        self.pullUpdateCheckBox.setText(_translate("MercurialPage", "Update after pulling"))
        self.preferUnbundleCheckBox.setToolTip(_translate("MercurialPage", "Select to prefer unbundle over pull"))
        self.preferUnbundleCheckBox.setWhatsThis(_translate("MercurialPage", "<b>Prefer Unbundle</b>\n"
"<p>If this option is selected, it will be checked, if a Mercurial changegroups file from a previous \"Show Incoming\" request exists. In this case it will be applied and deleted. Otherwise a pull request will be sent.</p>"))
        self.preferUnbundleCheckBox.setText(_translate("MercurialPage", "Prefer Unbundle"))
        self.groupBox_7.setTitle(_translate("MercurialPage", "Merge"))
        self.internalMergeCheckBox.setToolTip(_translate("MercurialPage", "Select to enforce usage of the Mercural internal merge tool"))
        self.internalMergeCheckBox.setWhatsThis(_translate("MercurialPage", "<b>Internal Merge Tool</b>\n"
"<p>Select to enforce usage of the Mercural internal merge tool,which leaves conflict markers in the file in case of conflicting changes.</p>"))
        self.internalMergeCheckBox.setText(_translate("MercurialPage", "Use internal merge with conflict markers"))
        self.groupBox_6.setTitle(_translate("MercurialPage", "Revert"))
        self.backupCheckBox.setToolTip(_translate("MercurialPage", "Select to create a backup file (.orig) before reverting changes"))
        self.backupCheckBox.setText(_translate("MercurialPage", "Create Backup Files"))
        self.groupBox_5.setTitle(_translate("MercurialPage", "Cleanup"))
        self.label_3.setText(_translate("MercurialPage", "Pattern:"))
        self.cleanupPatternEdit.setToolTip(_translate("MercurialPage", "Enter the file name patterns to be used for cleaning up (entries separated by a space character)"))
        self.configButton.setToolTip(_translate("MercurialPage", "Edit the Mercurial configuration file"))
        self.configButton.setText(_translate("MercurialPage", "Edit configuration file"))
        self.installButton.setToolTip(_translate("MercurialPage", "Press to install Mercurial alongside eric7"))
        self.installButton.setText(_translate("MercurialPage", "Install Mercurial"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
